//kalinux.info
Разное 396 просмотров

Kali Live-Build в системах на базе Debian

Kali Live-Build в системах на базе Debian

Мы используем live-build для создания наших официальных релизов Kali, и мы призываем пользователей входить и создавать свои собственные настроенные версии Kali, когда только можем. Наша документация процесса является одним из самых популярных элементов на нашем сайте документации, и Kali Dojo также вращается вокруг этой темы. Нам это нравится, и нашим пользователям это нравится.

Одним из препятствий для живого строительства всегда был тот факт, что вам нужна система Kali для создания системы Kali. Причина этого заключается в том, что небольшие изменения в исходном пакете debootstrap и live-build необходимы для создания ISO Kali. В Kali эти изменения уже включены, однако в большинстве деривативов Debian их нужно создать.

Создание пользовательского релиза Kali с live-build не так страшно, как могло бы звучать, поэтому обязательно дайте ему шанс!

Строительство Kali на Non-Kali Debian-системах

Вы можете легко запускать live-build в системах на базе Debian, отличных от Kali. Инструкции, приведенные ниже, были протестированы для работы как с Debian, так и с Ubuntu.

Во-первых, мы готовим систему, полностью обновляя ее, а затем переходим к загрузке архивных ключей и пакетов live-build Kali. Последние версии этих пакетов всегда можно найти по адресу http://http.kali.org/pool/main/k/kali-archive-keyring/ и https://archive.kali.org/kali/pool/main/ l / live-build / соответственно.

sudo apt update
sudo apt -y upgrade

wget https://http.kali.org/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb
wget https://archive.kali.org/kali/pool/main/l/live-build/live-build_20180618kali1_all.deb

После этого мы установим некоторые дополнительные зависимости и ранее загруженные файлы.

sudo apt -y install git live-build cdebootstrap debootstrap curl
sudo dpkg -i kali-archive-keyring_2018.1_all.deb
sudo dpkg -i live-build_20180618kali1_all.deb

Когда все подготовлено к окружающей среде, мы начинаем процесс сборки в реальном времени, настраивая скрипт сборки и проверяя конфигурацию сборки.

cd /usr/share/debootstrap/scripts/
(echo "default_mirror http://http.kali.org/kali"; sed -e "s/debian-archive-keyring.gpg/kali-archive-keyring.gpg/g" sid) > kali
sudo ln -s kali kali-rolling

cd ~
git clone git://git.kali.org/live-build-config.git

cd live-build-config/

На этом этапе мы должны отредактировать скрипт build.sh, чтобы обойти проверку версии. Мы делаем это, комментируя «выход 1» ниже.

# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
  if ! echo "$ver_debootstrap" | grep -q kali; then
    echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
  exit 1
  fi
fi

С учетом сделанного изменения сценарий должен выглядеть следующим образом:

# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
  if ! echo "$ver_debootstrap" | grep -q kali; then
    echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
    # exit 1
  fi
fi

Теперь мы можем построить наш стандарт ISO:

sudo ./build.sh --variant light --verbose

Нет тестирования обязательств

После того, как вы получите Kali, вы можете быстро протестировать ISO, который вы создали. С QEMU вы можете быстро протестировать процесс принятия решений. На Ubuntu вам просто нужно подготовить систему, установив несколько пакетов:

sudo apt -y install qemu-kvm libvirt-bin ubuntu-vm-builder bridge-utils
sudo adduser $(id -un) kvm
newgrp kvm

С этой целью мы создадим образ динамического диска для хранения нашей установки Kali, а затем загрузим наш недавно созданный ISO. Не беспокойтесь о размере диска - он будет расти по мере необходимости.

qemu-img create -f qcow2 kali-disk.img 100G
kvm --name Kali -m 1024 -hda kali-disk.img -cdrom kali-linux-light-rolling-amd64.iso -boot d

На этом этапе вы можете запустить экземпляр Kali или установить его на виртуальный диск. Если мы продолжим и установим его, мы позже запустим созданный VM с помощью команды:

kvm --name Kali -m 1024 -hda kali-disk.img -boot c

Есть несколько вещей, которые удовлетворяют требованиям вашей собственной установки Linux, которую вы создали и настроили для того, что вам нужно. С возможностью создания Kali на других дистрибутивах Debian и быстрым способом протестировать его, зачем ждать?